'use strict';

var index = require('./index-7cdbbf86.js');
var core = require('@material-ui/core');
var React = require('react');
var AdapterMoment = require('@material-ui/lab/AdapterMoment');
var LocalizationProvider = require('@material-ui/lab/LocalizationProvider');
var Yup = require('yup');
require('use-lang');
require('@material-ui/lab/DesktopDatePicker');
require('@material-ui/core/colors');
require('@fortawesome/react-fontawesome');
require('@fortawesome/free-solid-svg-icons');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () {
            return e[k];
          }
        });
      }
    });
  }
  n['default'] = e;
  return Object.freeze(n);
}

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var AdapterMoment__default = /*#__PURE__*/_interopDefaultLegacy(AdapterMoment);
var LocalizationProvider__default = /*#__PURE__*/_interopDefaultLegacy(LocalizationProvider);
var Yup__namespace = /*#__PURE__*/_interopNamespace(Yup);

var SingleStep = function () {
    var _a = index.useForm(), innerRef = _a.innerRef, fields = _a.fields;
    var _b = index.useFormikContext(), resetForm = _b.resetForm, submitForm = _b.submitForm;
    React.useImperativeHandle(innerRef, function () { return ({
        submitForm: submitForm,
        resetForm: resetForm,
        nextStep: function () { },
        prevStep: function () { },
    }); });
    return (React__default['default'].createElement(index.FieldsContainer, { fields: fields },
        React__default['default'].createElement(index.FormBtns, null)));
};

var Container = function () {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    var _a = index.useForm(), fields = _a.fields, onSubmit = _a.onSubmit, initialValues = _a.initialValues, steps = _a.steps;
    var lang = index.useLang().lang;
    var isStep = steps.length > 0;
    var valSchema = React.useMemo(function () {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        var getSchema = function (acc, it) {
            var _a;
            if (it.validate)
                return index.__assign(index.__assign({}, acc), (_a = {}, _a[it.id] = it.validate, _a));
            return index.__assign({}, acc);
        };
        if (isStep) {
            var finalSchemas_1 = steps.reduce(function (acc, it) {
                var vals = it.fields.flat().reduce(getSchema, {});
                if (Object.keys(vals).length === 0)
                    return acc;
                return index.__assign(index.__assign({}, acc), vals);
            }, {});
            if (Object.keys(finalSchemas_1).length === 0)
                return null;
            return Yup__namespace.object().shape(finalSchemas_1);
        }
        var finalSchemas = fields.flat().reduce(getSchema, {});
        if (Object.keys(finalSchemas).length === 0)
            return null;
        return Yup__namespace.object().shape(finalSchemas);
    }, [isStep, fields, steps]);
    var renderContent = React.useCallback(function () {
        if (isStep) {
            return React__default['default'].createElement(index.Step, null);
        }
        return React__default['default'].createElement(SingleStep, null);
    }, [isStep]);
    var classes = useClasses();
    return (React__default['default'].createElement(LocalizationProvider__default['default'], { dateAdapter: AdapterMoment__default['default'], locale: lang },
        React__default['default'].createElement("div", { className: classes.root },
            React__default['default'].createElement(index.Formik, { validationSchema: valSchema, initialValues: initialValues, onSubmit: onSubmit }, renderContent))));
};
var useClasses = core.makeStyles(function () { return ({
    root: {
        minWidth: 300,
    },
}); });

exports.default = Container;
//# sourceMappingURL=Container-733d64b5.js.map
