import { ReactNode } from 'react';
import { MultilineProps, NumberInputProps, TextInputProps } from './inputs/TextInput';
import { OnlyTitleProps } from './inputs/OnlyTitle';
import { OptionInputProps } from './inputs/OptionsInput';
import { FileInputProps, ImageInputProps } from './inputs/FileInput';
import { CheckBoxProps } from './inputs/CheckBox';
import { SwitchInputProps } from './inputs/SwitchInput';
import { AutoCompleteProps } from './inputs/AutoComplete';
import { CustomInputProps } from './inputs/CustomInput';
import { DateInputProps } from './inputs/DateInput';
import { MultipleInputProps } from './inputs/MultipleInput';
import { DropFilesInputProps } from './inputs/DropFilesInput';
export declare enum FormTypes {
    Input = 1,
    Number = 2,
    Email = 3,
    Multiline = 4,
    Options = 5,
    Image = 6,
    File = 7,
    Autocomplete = 8,
    Switch = 9,
    CheckBox = 10,
    Multiple = 11,
    Custom = 12,
    Secure = 13,
    Date = 14,
    DropFiles = 15,
    OnlyTitle = 16
}
export interface CommonInputProps<T> {
    id: keyof T;
    title: string;
    validate?: any;
    help?: string | ReactNode;
    readonly?: boolean | 'new' | 'edit' | ((props: T) => boolean);
    depends?: (props: T) => boolean;
    keepMounted?: boolean;
    hide?: boolean;
    showHelpIcon?: boolean;
}
export declare type AllInputTypes<T> = TextInputProps<T> | NumberInputProps<T> | MultilineProps<T> | OnlyTitleProps<T> | OptionInputProps<T> | ImageInputProps<T> | FileInputProps<T> | CheckBoxProps<T> | SwitchInputProps<T> | AutoCompleteProps<T> | CustomInputProps<T> | DateInputProps<T> | MultipleInputProps<T> | DropFilesInputProps<T>;
export declare type FieldProps<T> = AllInputTypes<T> | AllInputTypes<T>[];
