import React from 'react';
import { CommonInputProps, FormTypes } from '..';
declare type NoTitle<T> = Omit<CommonInputProps<T>, 'title'>;
export interface DropFilesInputProps<T> extends NoTitle<T> {
    type: FormTypes.DropFiles;
    multiple?: boolean;
    accept?: string;
    ImgIcon?: React.FC<React.SVGProps<SVGSVGElement>>;
    title: string | JSX.Element;
    renderPreview?: (name: string) => JSX.Element;
    onDeleteFile?: (name: string) => Promise<boolean> | boolean;
}
interface Props<T = unknown> {
    field: DropFilesInputProps<T>;
}
export declare const DropFilesInput: ({ field }: Props) => JSX.Element;
export {};
