import React from 'react';
import { CommonInputProps, FormTypes } from '..';
interface CommonProps<T> extends CommonInputProps<T> {
    ImgIcon?: React.ReactNode;
    accept?: string;
    height?: number;
}
export declare type ImageInputProps<T> = CommonProps<T> & {
    type: FormTypes.Image;
    baseURL: string;
};
export declare type FileInputProps<T> = CommonProps<T> & {
    type: FormTypes.File;
    renderPreview?: (base64: string, value?: File) => JSX.Element;
};
interface Props {
    field: ImageInputProps<unknown> | FileInputProps<unknown>;
}
export declare const FileInput: ({ field }: Props) => JSX.Element;
export {};
