/// <reference types="react" />
import { FormikContextType } from 'formik';
import { CommonInputProps, FormTypes } from '..';
declare type ValueType = string | string[];
export declare type OptionsProps = {
    id: string;
    title?: string;
};
export interface OptionInputProps<T> extends CommonInputProps<T> {
    type: FormTypes.Options;
    placeholder?: string;
    options?: OptionsProps[] | false;
    multiple?: boolean;
    onSelect?: (val: ValueType, formik: FormikContextType<T>) => void;
    startAdornment?: () => JSX.Element;
}
interface Props {
    field: OptionInputProps<unknown>;
}
export declare const OptionInput: ({ field }: Props) => JSX.Element;
export {};
