import React, { ReactNode } from 'react';
import { CommonInputProps, FormTypes } from '..';
interface CommonTextInput {
    endAdorment?: ReactNode;
    startAdornment?: () => JSX.Element;
    willSubmit?: boolean;
    onBlur?: (val: string) => void;
    placeholder?: string;
}
export declare type InputsTypes = FormTypes.Input | FormTypes.Email | FormTypes.Multiline | FormTypes.Secure;
export declare type TextInputProps<T> = CommonInputProps<T> & CommonTextInput & {
    type: InputsTypes;
    mask?: (RegExp | string)[];
    max?: number;
};
export declare type MultilineProps<T> = CommonInputProps<T> & CommonTextInput & {
    type: FormTypes.Multiline;
    rows?: number;
    maxRows?: number;
};
export declare type NumberInputProps<T> = CommonInputProps<T> & CommonTextInput & {
    type: FormTypes.Number;
    prefix?: string;
    suffix?: string;
    thousandsSeparatorSymbol?: string;
    decimalSymbol?: string;
    allowDecimal?: boolean;
    decimalLimit?: number;
};
interface Props<T = unknown> {
    field: TextInputProps<T> | NumberInputProps<T> | MultilineProps<T>;
}
export declare const TextInput: React.MemoExoticComponent<({ field }: Props) => JSX.Element>;
export {};
