import { FormikState } from 'formik';
import React, { Dispatch, PropsWithChildren } from 'react';
import { ProviderProps as LangProviderProps } from 'use-lang';
import { FieldProps } from '../components';
import { StepProps } from '../components/Step';
import { LangProps } from '../translate/Lang';
export declare type FinalFieldsProps<T> = FieldProps<T>[] | StepProps<T>[];
export declare type SizeType = 'small' | 'medium';
export declare type RefMethods = {
    resetForm: (nextState?: Partial<FormikState<unknown>> | undefined) => void;
    submitForm: (() => Promise<void>) & (() => Promise<unknown>);
    nextStep: () => void;
    prevStep: () => void;
};
export declare type ExtraBtnsProps = {
    title: string;
    onClick: () => void;
    hide?: boolean;
}[] | false;
export interface FormContextState<T> {
    loading?: boolean;
    fields: FinalFieldsProps<T>;
    onSubmit: Dispatch<T>;
    initialValues?: Partial<T>;
    submitBtn?: string;
    size?: SizeType;
    hideSubmitBtn?: boolean;
    innerRef?: React.ForwardedRef<RefMethods>;
    extraBtns?: ExtraBtnsProps;
}
export interface FinalFormContext<T> extends FormContextState<T> {
    initialValues: T;
}
declare type ContextType<T> = [FinalFormContext<T>, Dispatch<FinalFormContext<T>>];
export declare const FormContext: React.Context<ContextType<any>>;
export declare type ProviderPros<T> = PropsWithChildren<FormContextState<T>> & Partial<LangProviderProps<LangProps>>;
export declare const FormProvider: <T>(props: ProviderPros<T>) => JSX.Element;
export declare const useFormContext: <T>() => ContextType<T>;
export {};
